#ifndef MODULES_INNO_LIDAR_H_
#define MODULES_INNO_LIDAR_H_


#include "SkeletonWrapper.h"

class InnoLidar final
{
private:
	uint64_t _packet_lost_count = 0;
	uint64_t _packet_processed_count = 0;

	int _memIndex;

	SkeletonWrapper _wrapper;

	void freeFramePackets(std::vector<InnoDataPacket*> frameData);
	void newPacket();

	void OnSend();
	void Process();

public:
	InnoLidar(ara::log::Logger &mainLog);
	~InnoLidar() = default;

	void RunThread();
	bool OnInit();
	void setPointsVector(std::vector<InnoDataPacket*> frameData);
	void setPointVector(InnoDataPacket* frameData);
};

#endif /* MODULES_INNO_LIDAR_H_ */
